Get all landing pages
curl --request GET \
--url https://api.hubapi.com/cms/pages/2026-03/landing-pages \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.hubapi.com/cms/pages/2026-03/landing-pages"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.hubapi.com/cms/pages/2026-03/landing-pages', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"results": [
{
"abStatus": "automated_loser_variant",
"abTestId": "<string>",
"archivedAt": "2023-11-07T05:31:56Z",
"archivedInDashboard": true,
"attachedStylesheets": [
{}
],
"authorName": "<string>",
"campaign": "<string>",
"categoryId": 123,
"contentGroupId": "<string>",
"contentTypeCategory": "0",
"created": "2023-11-07T05:31:56Z",
"createdById": "<string>",
"currentState": "AGENT_GENERATED",
"currentlyPublished": true,
"domain": "<string>",
"dynamicPageDataSourceId": "<string>",
"dynamicPageDataSourceType": 123,
"dynamicPageHubDbTableId": "<string>",
"enableDomainStylesheets": true,
"enableLayoutStylesheets": true,
"featuredImage": "<string>",
"featuredImageAltText": "<string>",
"folderId": "<string>",
"footerHtml": "<string>",
"headHtml": "<string>",
"htmlTitle": "<string>",
"id": "<string>",
"includeDefaultCustomCss": true,
"language": "aa",
"layoutSections": {},
"linkRelCanonicalUrl": "<string>",
"mabExperimentId": "<string>",
"metaDescription": "<string>",
"name": "<string>",
"pageExpiryDate": 123,
"pageExpiryEnabled": true,
"pageExpiryRedirectId": 123,
"pageExpiryRedirectUrl": "<string>",
"pageRedirected": true,
"password": "<string>",
"publicAccessRules": [
{}
],
"publicAccessRulesEnabled": true,
"publishDate": "2023-11-07T05:31:56Z",
"publishImmediately": true,
"slug": "<string>",
"state": "<string>",
"subcategory": "<string>",
"templatePath": "<string>",
"themeSettingsValues": {},
"translatedFromId": "<string>",
"translations": {},
"updated": "2023-11-07T05:31:56Z",
"updatedById": "<string>",
"url": "<string>",
"useFeaturedImage": true,
"widgetContainers": {},
"widgets": {}
}
],
"total": 123,
"paging": {
"next": {
"after": "<string>",
"link": "<string>"
}
}
}{
"message": "Invalid input (details will vary based on the error)",
"correlationId": "aeb5f871-7f07-4993-9211-075dc63e7cbf",
"category": "VALIDATION_ERROR",
"links": {
"knowledge-base": "https://www.hubspot.com/products/service/knowledge-base"
}
}Landing Pages
Get all landing pages
Retrieve a list of landing pages in your HubSpot account. This endpoint allows you to filter landing pages based on creation and update timestamps, sort them, and paginate through results. You can also choose to include archived pages or specify certain properties to be included in the response.
GET
/
cms
/
pages
/
2026-03
/
landing-pages
Get all landing pages
Supported products
Supported products
Required Scopes
Required Scopes
Authorizations
oauth2oauth2
The access token received from the authorization server in the OAuth 2.0 flow.
Query Parameters
The paging cursor token of the last successfully read resource will be returned as the paging.next.after JSON property of a paged response containing more results.
Whether to return only results that have been archived.
The maximum number of results to display per page.
Response
successful operation
Last modified on September 9, 2026
Was this page helpful?